// auslösende Buttons
const rotKnopf = document.querySelector("#rot");
const blauKnopf = document.querySelector("#blau");
const gruenKnopf = document.querySelector("#gruen");
const weisserKnopf = document.querySelector("#weiss");

// der ganze body
const body = document.querySelector("body");

// entfernt erst mal die Klassen "rot, blau, gruen"
function bodyKlassenWeg() {
  body.classList.remove("rot");
  body.classList.remove("blau");
  body.classList.remove("gruen");
}

function cookyUndHintergrundSetzen(hgFarbe) {
  // body bekommt die jeweilige Klasse
  body.classList.add(hgFarbe);
  // hier wird das Cooky gesetzt und die "hgFarbe" definiert…
  document.cookie = `hgFarbe=${hgFarbe}; SameSite=Lax; Secure`;
}

rotKnopf.addEventListener("click", function () {
  bodyKlassenWeg();
  let hgFarbe = "rot";
  cookyUndHintergrundSetzen(hgFarbe);
});

blauKnopf.addEventListener("click", function () {
  bodyKlassenWeg();
  let hgFarbe = "blau";
  cookyUndHintergrundSetzen(hgFarbe);
});

gruenKnopf.addEventListener("click", function () {
  bodyKlassenWeg();
  let hgFarbe = "gruen";
  cookyUndHintergrundSetzen(hgFarbe);
});

// Sonderfall, hier wird das Cooky wieder gelöscht,
// weil der weiße HG ja die Grundeinstellung ist…
weisserKnopf.addEventListener("click", function () {
  bodyKlassenWeg();

  // cookie wird durch "max-age=0" geloescht
  // https://www.mediaevent.de/javascript/cookie-read.html
  document.cookie = "hgFarbe=wurscht; max-age=0; SameSite=Lax; Secure";
});

// mehr zu Cookies:
// https://developer.mozilla.org/en-US/docs/Web/API/Document/cookie

// ==================== Beim jeweiligen Laden der HTML-Seite wird das Cooky eingelesen… ====================

function farbEinstellungenLesen() {
  // console.log("Load-Event ausgeführt!");
  // console.log(document.cookie);

  // nur falls es ein Cookie gibt
  if (document.cookie) {
    const cookieValue = document.cookie
      .split("; ")
      .find((row) => row.startsWith("hgFarbe="))
      .split("=")[1];

    // console.log(cookieValue);
    body.classList.add(cookieValue);
  }
}

window.addEventListener("load", farbEinstellungenLesen);
